

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/x86_64/ia32/ia32entry.S |    2 +-
 25-akpm/fs/compat.c                  |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff -puN fs/compat.c~compat-syscalls-naming-standardisation-fix fs/compat.c
--- 25/fs/compat.c~compat-syscalls-naming-standardisation-fix	2004-11-03 23:31:11.345764352 -0800
+++ 25-akpm/fs/compat.c	2004-11-03 23:31:11.350763592 -0800
@@ -860,7 +860,7 @@ efault:
 	return -EFAULT;
 }
 
-asmlinkage long compat_old_readdir(unsigned int fd,
+asmlinkage long compat_sys_old_readdir(unsigned int fd,
 	struct compat_old_linux_dirent __user *dirent, unsigned int count)
 {
 	int error;
diff -puN arch/x86_64/ia32/ia32entry.S~compat-syscalls-naming-standardisation-fix arch/x86_64/ia32/ia32entry.S
--- 25/arch/x86_64/ia32/ia32entry.S~compat-syscalls-naming-standardisation-fix	2004-11-03 23:44:34.607649984 -0800
+++ 25-akpm/arch/x86_64/ia32/ia32entry.S	2004-11-03 23:44:38.197104304 -0800
@@ -391,7 +391,7 @@ ia32_sys_call_table:
 	.quad sys_uselib
 	.quad sys_swapon
 	.quad sys_reboot
-	.quad compat_old_readdir
+	.quad compat_sys_old_readdir
 	.quad sys32_mmap		/* 90 */
 	.quad sys_munmap
 	.quad sys_truncate
_
